% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/activations.R
\name{activation_squareplus}
\alias{activation_squareplus}
\title{Squareplus activation function.}
\usage{
activation_squareplus(x, b = 4L)
}
\arguments{
\item{x}{Input tensor.}

\item{b}{Smoothness parameter. Defaults to 4.}
}
\value{
A tensor, the result from applying the activation to the input tensor \code{x}.
}
\description{
The Squareplus activation function is defined as:

\code{f(x) = (x + sqrt(x^2 + b)) / 2}

Where \code{b} is a smoothness parameter.
}
\section{Reference}{
\itemize{
\item \href{https://arxiv.org/abs/2112.11687}{Ramachandran et al., 2021}
}
}

\seealso{
Other activations: \cr
\code{\link{activation_celu}()} \cr
\code{\link{activation_elu}()} \cr
\code{\link{activation_exponential}()} \cr
\code{\link{activation_gelu}()} \cr
\code{\link{activation_glu}()} \cr
\code{\link{activation_hard_shrink}()} \cr
\code{\link{activation_hard_sigmoid}()} \cr
\code{\link{activation_hard_tanh}()} \cr
\code{\link{activation_leaky_relu}()} \cr
\code{\link{activation_linear}()} \cr
\code{\link{activation_log_sigmoid}()} \cr
\code{\link{activation_log_softmax}()} \cr
\code{\link{activation_mish}()} \cr
\code{\link{activation_relu}()} \cr
\code{\link{activation_relu6}()} \cr
\code{\link{activation_selu}()} \cr
\code{\link{activation_sigmoid}()} \cr
\code{\link{activation_silu}()} \cr
\code{\link{activation_soft_shrink}()} \cr
\code{\link{activation_softmax}()} \cr
\code{\link{activation_softplus}()} \cr
\code{\link{activation_softsign}()} \cr
\code{\link{activation_sparse_plus}()} \cr
\code{\link{activation_sparsemax}()} \cr
\code{\link{activation_tanh}()} \cr
\code{\link{activation_tanh_shrink}()} \cr
\code{\link{activation_threshold}()} \cr
}
\concept{activations}
