% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/py-classes.R
\name{active_property}
\alias{active_property}
\title{Create an active property class method}
\usage{
active_property(fn)
}
\arguments{
\item{fn}{An R function}
}
\value{
\code{fn}, with an additional R attribute that will cause \code{fn} to be
converted to an active property when being converted to a method of a
custom subclass.
}
\description{
Create an active property class method
}
\section{Example}{
\if{html}{\out{<div class="sourceCode r">}}\preformatted{layer_foo <- Model("Foo", ...,
  metrics = active_property(function() \{
    list(self$d_loss_metric,
         self$g_loss_metric)
  \}))
}\if{html}{\out{</div>}}
}

