% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/config.R
\name{config_disable_flash_attention}
\alias{config_disable_flash_attention}
\title{Disable flash attention.}
\usage{
config_disable_flash_attention()
}
\description{
Flash attention offers performance optimization for attention layers,
making it especially useful for large language models (LLMs) that
benefit from faster and more memory-efficient attention computations.

Once disabled, supported layers like \code{MultiHeadAttention} will not
use flash attention for faster computations.
}
\seealso{
\code{\link[=config_is_flash_attention_enabled]{config_is_flash_attention_enabled()}} \code{\link[=config_enable_flash_attention]{config_enable_flash_attention()}}

Other config: \cr
\code{\link{config_backend}()} \cr
\code{\link{config_disable_interactive_logging}()} \cr
\code{\link{config_disable_traceback_filtering}()} \cr
\code{\link{config_dtype_policy}()} \cr
\code{\link{config_enable_flash_attention}()} \cr
\code{\link{config_enable_interactive_logging}()} \cr
\code{\link{config_enable_traceback_filtering}()} \cr
\code{\link{config_enable_unsafe_deserialization}()} \cr
\code{\link{config_epsilon}()} \cr
\code{\link{config_floatx}()} \cr
\code{\link{config_image_data_format}()} \cr
\code{\link{config_is_interactive_logging_enabled}()} \cr
\code{\link{config_is_traceback_filtering_enabled}()} \cr
\code{\link{config_set_backend}()} \cr
\code{\link{config_set_dtype_policy}()} \cr
\code{\link{config_set_epsilon}()} \cr
\code{\link{config_set_floatx}()} \cr
\code{\link{config_set_image_data_format}()} \cr
}
\concept{config}
