% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/config.R
\name{config_floatx}
\alias{config_floatx}
\title{Return the default float type, as a string.}
\usage{
config_floatx()
}
\value{
String, the current default float type.
}
\description{
E.g. \code{'bfloat16'} \code{'float16'}, \code{'float32'}, \code{'float64'}.
}
\section{Examples}{
\if{html}{\out{<div class="sourceCode r">}}\preformatted{keras3::config_floatx()
}\if{html}{\out{</div>}}

\if{html}{\out{<div class="sourceCode">}}\preformatted{## [1] "float32"

}\if{html}{\out{</div>}}
}

\seealso{
\itemize{
\item \url{https://keras.io/api/utils/config_utils#floatx-function}
}

Other config backend: \cr
\code{\link{config_backend}()} \cr
\code{\link{config_epsilon}()} \cr
\code{\link{config_image_data_format}()} \cr
\code{\link{config_set_epsilon}()} \cr
\code{\link{config_set_floatx}()} \cr
\code{\link{config_set_image_data_format}()} \cr

Other backend: \cr
\code{\link{clear_session}()} \cr
\code{\link{config_backend}()} \cr
\code{\link{config_epsilon}()} \cr
\code{\link{config_image_data_format}()} \cr
\code{\link{config_set_epsilon}()} \cr
\code{\link{config_set_floatx}()} \cr
\code{\link{config_set_image_data_format}()} \cr

Other config: \cr
\code{\link{config_backend}()} \cr
\code{\link{config_disable_flash_attention}()} \cr
\code{\link{config_disable_interactive_logging}()} \cr
\code{\link{config_disable_traceback_filtering}()} \cr
\code{\link{config_dtype_policy}()} \cr
\code{\link{config_enable_flash_attention}()} \cr
\code{\link{config_enable_interactive_logging}()} \cr
\code{\link{config_enable_traceback_filtering}()} \cr
\code{\link{config_enable_unsafe_deserialization}()} \cr
\code{\link{config_epsilon}()} \cr
\code{\link{config_image_data_format}()} \cr
\code{\link{config_is_interactive_logging_enabled}()} \cr
\code{\link{config_is_traceback_filtering_enabled}()} \cr
\code{\link{config_set_backend}()} \cr
\code{\link{config_set_dtype_policy}()} \cr
\code{\link{config_set_epsilon}()} \cr
\code{\link{config_set_floatx}()} \cr
\code{\link{config_set_image_data_format}()} \cr
}
\concept{backend}
\concept{config}
\concept{config backend}
