% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/zzz-aliases.R
\name{new_learning_rate_schedule_class}
\alias{new_learning_rate_schedule_class}
\title{LearningRateSchedule}
\usage{
new_learning_rate_schedule_class(
  classname,
  call = NULL,
  initialize = NULL,
  get_config = NULL,
  ...,
  public = list(),
  private = list(),
  inherit = NULL,
  parent_env = parent.frame()
)
}
\arguments{
\item{classname}{String, the name of the custom class. (Conventionally, CamelCase).}

\item{call, initialize, get_config}{Recommended methods to implement. See description and details sections.}

\item{..., public}{Additional methods or public members of the custom class.}

\item{private}{Named list of R objects (typically, functions) to include in
instance private environments. \code{private} methods will have all the same
symbols in scope as public methods (See section "Symbols in Scope"). Each
instance will have it's own \code{private} environment. Any objects
in \code{private} will be invisible from the Keras framework and the Python
runtime.}

\item{inherit}{What the custom class will subclass. By default, the base keras class.}

\item{parent_env}{The R environment that all class methods will have as a grandparent.}
}
\value{
A function that returns \code{LearningRateSchedule} instances, similar to the
built-in \verb{learning_rate_schedule_*} family of functions.
}
\description{
\code{new_learning_rate_schedule_class()} is an alias for \code{\link[=LearningRateSchedule]{LearningRateSchedule()}}.
See \verb{?}\code{\link[=LearningRateSchedule]{LearningRateSchedule()}} for the full documentation.
}
\keyword{internal}
