% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/zzz-aliases.R
\name{new_metric_class}
\alias{new_metric_class}
\title{Metric}
\usage{
new_metric_class(
  classname,
  initialize = NULL,
  update_state = NULL,
  result = NULL,
  ...,
  public = list(),
  private = list(),
  inherit = NULL,
  parent_env = parent.frame()
)
}
\arguments{
\item{classname}{String, the name of the custom class. (Conventionally, CamelCase).}

\item{initialize, update_state, result}{Recommended methods to implement. See description section.}

\item{..., public}{Additional methods or public members of the custom class.}

\item{private}{Named list of R objects (typically, functions) to include in
instance private environments. \code{private} methods will have all the same
symbols in scope as public methods (See section "Symbols in Scope"). Each
instance will have it's own \code{private} environment. Any objects
in \code{private} will be invisible from the Keras framework and the Python
runtime.}

\item{inherit}{What the custom class will subclass. By default, the base keras class.}

\item{parent_env}{The R environment that all class methods will have as a grandparent.}
}
\value{
A function that returns \code{Metric} instances, similar to the
builtin metric functions.
}
\description{
\code{new_metric_class()} is an alias for \code{\link[=Metric]{Metric()}}.
See \verb{?}\code{\link[=Metric]{Metric()}} for the full documentation.
}
\keyword{internal}
